/*
 * task.h
 *
 *  Created on: 2024624
 *      Author: psx
 */

#ifndef APP_INC_TASK_H_
#define APP_INC_TASK_H_


#include "timeSliceOffset.h"
#include "uart_dev.h"
#include "math.h"

void Init();

/* ָʾƺι  */
#define WdiRunled_reloadVal 1000            /* ִм  */
#define WdiRunled_offset 100                /* ִƫ  */
#define wdi_RESET (60 * 60 * 24)            /* һ츴λһ  */
extern STR_TimeSliceOffset m_WdiRunled;
extern void Task_WdiRunled(void);

/* ˢ¼Ĵе  */
#define refreshRegister_reloadVal 1000            /* ִм  */
#define refreshRegister_offset 0                  /* ִƫ  */
extern STR_TimeSliceOffset m_refreshRegister;
extern void Task_refreshRegister(void);

/* ·迹  */
#define impedanceCalculation_reloadVal 200              /* ִм  */
#define impedanceCalculation_offset 0                   /* ִƫ  */
extern STR_TimeSliceOffset g_impedanceCalculation;
extern void Task_impedanceCalculation(void);

/* ·  */
#define outputAgain_reloadVal 1000              /* ִм  */
#define outputAgain_offset 0                    /* ִƫ  */
extern STR_TimeSliceOffset g_outputAgain;
extern void Task_outputAgain(void);

/* ر  */
#define excessiveLoad_reloadVal 1000             /* ִм  */
#define excessiveLoad_offset 0                   /* ִƫ  */
extern STR_TimeSliceOffset g_excessiveLoad;
extern void Task_excessiveLoad(void);

/*   */
#define softStart_reloadVal 10          /* ִм  */
#define softStart_offset 0              /* ִƫ  */
extern STR_TimeSliceOffset m_softStart;
extern void Task_softStart(void);

/*    */
#define startMpptControl_reloadVal 1000         /* ִм  */
#define startMpptControl_offset 200             /* ִƫ  */
extern STR_TimeSliceOffset g_startMpptControl;
extern void Task_startMpptControl(void);

/* ݼĴһЩж */
#define dataJudgment_reloadVal 1000         /* ִм  */
#define dataJudgment_offset 500             /* ִƫ  */
extern STR_TimeSliceOffset g_dataJudgment;
extern void Task_dataJudgment(void);

/* ݽʹ */
#define usartJudge_reloadVal 100             /* ִм  */
#define usartJudge_offset 0                  /* ִƫ  */
extern STR_TimeSliceOffset m_usartJudge;
extern void Task_usartJudge(void);
#define usartHandle_reloadVal 20                /* ִм  */
#define usartHandle_offset 0                    /* ִƫ  */
extern STR_TimeSliceOffset m_usartHandle;
extern void Task_usartHandle(void);
typedef void (*uartJudgeHandle)(device_handle device);
extern uartJudgeHandle uart_judge_handle;

/* 㲥Ӧ */
#define recvbroadcast_reloadVal 3000            /* ִм  */
#define recvbroadcast_offset 0                  /* ִƫ  */
extern uint8_t recvbroadcast_flag;              /* ǷҪٴηͱ־ */
extern device_handle  g_recvBroadcastDevice;    /* ھ */
extern STR_TimeSliceOffset g_recvbroadcast;
extern void Task_recvbroadcast(void);

/* ٴעʱ */
#define sensorEnableBroadcast_reloadVal 1000           /* ִм  */
#define sensorEnableBroadcast_offset 0               /* ִƫ  */
extern STR_TimeSliceOffset g_sensorEnableBroadcast;
extern void Task_sensorEnableBroadcast(void);

/* ļȡ */
#define uartConfigFile_reloadVal 200            /* ִм  */
#define uartConfigFile_offset 0               /* ִƫ  */
extern STR_TimeSliceOffset m_uartConfigFile;
extern void Task_uartConfigFile(void);

///* ʱ */
//#define overloadDelay_reloadVal 10           /* ִм  */
//#define overloadDelay_offset 0               /* ִƫ  */
//extern STR_TimeSliceOffset g_overloadDelay;
//extern void Task_overloadDelay(void);

/* ·ѹɼ */
#define collectOpenCircuitVoltage_reloadVal 1000         /* ִм  */
#define collectOpenCircuitVoltage_offset 0               /* ִƫ  */
extern STR_TimeSliceOffset g_collectOpenCircuitVoltage;
extern void Task_collectOpenCircuitVoltage(void);


/* HYģʽӳٺ˳ */
#define configurationModeDelayedExit_reloadVal 1000         /* ִм  */
#define configurationModeDelayedExit_offset 0               /* ִƫ  */
extern STR_TimeSliceOffset g_configurationModeDelayedExit;
extern void Task_configurationModeDelayedExit(void);


#endif /* APP_INC_TASK_H_ */
